summaryrefslogtreecommitdiffstats
path: root/util/bin/google.translate
diff options
context:
space:
mode:
Diffstat (limited to 'util/bin/google.translate')
-rwxr-xr-xutil/bin/google.translate27
1 files changed, 27 insertions, 0 deletions
diff --git a/util/bin/google.translate b/util/bin/google.translate
new file mode 100755
index 00000000..06c6a5a8
--- /dev/null
+++ b/util/bin/google.translate
@@ -0,0 +1,27 @@
+#! /bin/sh
+set -euf
+
+sl=${SL:="auto"}
+tl=${TL:="en"}
+
+usage(){
+ echo 'TL= targetlanguage, valid strings are in the style of "en", "pl" or "de". default "en"'
+ echo 'SL= sourcelanguage, same TL, default is auto'
+ echo 'Example: TL="de" ./translate.google "whats up?"'
+
+ exit 0
+}
+
+translate(){
+ text=$*
+ url="http://translate.google.com/translate_a/t?client=t&sl=$sl&tl=$tl"
+ curl -A "Mozilla/5.0" -Ss "$url" --data-urlencode "text=$text" |
+ sed 's/\[\[\[\"//' |
+ cut -d \" -f 1
+}
+
+if [ $# -eq 0 ]; then
+ usage
+fi
+
+translate $*